Skip to content

get

POST
/public/agent-task/get
curl --request POST \
--url https://enclave.subnoto.com/public/agent-task/get \
--header 'Content-Type: application/json' \
--data '{ "taskUuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Get the full history of reports for a single agent task, ordered from oldest to newest. Capped at 100 reports per call.

Media type application/json
object
taskUuid
required

The task UUID whose history should be returned.

string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Example generated
{
"taskUuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Default Response

Media type application/json
object
reports
required
Array<object>
object
reportId
required

Unique numeric ID of the report row.

number
state
required

The reported state.

string
Allowed values: working complete idle failure
summary
required

The report summary.

string
link

Optional resource link.

string
timestamp
required

The report timestamp (unix ms).

number
author
required
object
uuid
required

Author public UUID (nil UUID for System).

string
>= 36 characters <= 36 characters
email
required

Author email address.

string
name
required

Author display name.

string
Example
{
"reports": [
{
"state": "working"
}
]
}

Default Response

Media type application/json
object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AGENT_TASK_NOT_FOUND INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string
Example
{
"error": {
"code": "AGENT_TASK_NOT_FOUND"
}
}

Default Response

Media type application/json
object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHENTICATION_ERROR TUNNEL_ERROR TUNNEL_SESSION_NOT_FOUND INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string
Example
{
"error": {
"code": "AUTHENTICATION_ERROR"
}
}

Default Response

Media type application/json
object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHORIZATION_ERROR FEATURE_NOT_IN_CURRENT_PLAN INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string
Example
{
"error": {
"code": "AUTHORIZATION_ERROR"
}
}

Default Response

Media type application/json
object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: INTERNAL_SERVER_ERROR INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string
Example
{
"error": {
"code": "INTERNAL_SERVER_ERROR"
}
}